VPFFeatureWarehouse (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Interface VPFFeatureWarehouse

All Superinterfaces:
  VPFWarehouse

All Known Implementing Classes:
  VPFAutoFeatureGraphicWarehouse, VPFCachedFeatureGraphicWarehouse, VPFFeatureGraphicWarehouse

    public interface VPFFeatureWarehouse

extends VPFWarehouse

Define an interface for a Graphic Factory for graphics read from VPF.

Method Summary
`OMGraphic` | `createArea(CoverageTable covtable, AreaTable areatable, java.util.List<java.lang.Object> facevec, LatLonPoint ll1, LatLonPoint ll2, double dpplat, double dpplon, java.lang.String featureType, int primID)`
`OMGraphic` | `createEdge(CoverageTable c, EdgeTable edgetable, java.util.List<java.lang.Object> edgevec, LatLonPoint ll1, LatLonPoint ll2, double dpplat, double dpplon, CoordFloatString coords, java.lang.String featureType, int primID)`
`OMGraphic` | `createNode(CoverageTable c, NodeTable t, java.util.List<java.lang.Object> nodeprim, double latitude, double longitude, boolean isEntityNode, java.lang.String featureType, int primID)` Method called by the VPF reader code to construct a node feature.
`OMGraphic` | `createText(CoverageTable c, TextTable texttable, java.util.List<java.lang.Object> textvec, double latitude, double longitude, java.lang.String text, java.lang.String featureType, int primID)`
`boolean` | `needToFetchTileContents(java.lang.String libraryName, java.lang.String currentFeature, TileDirectory currentTile)`

Methods inherited from interface com.bbn.openmap.layer.vpf.VPFWarehouse
`checkLibraryForUsage, drawAreaFeatures, drawCPointFeatures, drawEdgeFeatures, drawEPointFeatures, drawTextFeatures, getFeatures, getGUI, getUseLibraries, resetForCAT, setUseLibraries`

Method Detail

### needToFetchTileContents

    boolean needToFetchTileContents(java.lang.String libraryName,
                                    java.lang.String currentFeature,
                                    TileDirectory currentTile)

### createArea

    OMGraphic createArea(CoverageTable covtable,
                         AreaTable areatable,
                         java.util.List<java.lang.Object> facevec,
                         LatLonPoint ll1,
                         LatLonPoint ll2,
                         double dpplat,
                         double dpplon,
                         java.lang.String featureType,
                         int primID)

### createEdge

    OMGraphic createEdge(CoverageTable c,
                         EdgeTable edgetable,
                         java.util.List<java.lang.Object> edgevec,
                         LatLonPoint ll1,
                         LatLonPoint ll2,
                         double dpplat,
                         double dpplon,
                         CoordFloatString coords,
                         java.lang.String featureType,
                         int primID)

### createText

    OMGraphic createText(CoverageTable c,
                         TextTable texttable,
                         java.util.List<java.lang.Object> textvec,
                         double latitude,
                         double longitude,
                         java.lang.String text,
                         java.lang.String featureType,
                         int primID)

### createNode

    OMGraphic createNode(CoverageTable c,
                         NodeTable t,
                         java.util.List<java.lang.Object> nodeprim,
                         double latitude,
                         double longitude,
                         boolean isEntityNode,
                         java.lang.String featureType,
                         int primID)

  Method called by the VPF reader code to construct a node feature.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details